package com.hibernate.util;

import java.util.List;

import org.hibernate.Session;
import org.hibernate.cfg.Configuration;

import com.hibernate.model.Employee;

@SuppressWarnings("unchecked")
public class AppMain {

	public static void main(String[] args) {		
		// Creating the config instance & passing the hibernate config file.
		Configuration config = new Configuration();
		config.configure("hibernate.cfg.xml");

		// Hibernate session object to start the db transaction.
		Session s = config.buildSessionFactory().openSession();

		// Query 1 - To fetch all employees.
		List<Employee> list = s.getNamedQuery("findEmployees").getResultList();

		for(Employee emp : list) {
			System.out.println(emp.toString());
		}

		System.out.println("\n===================\n");

		// Query 2 - To fetch particular employee.
		int eid = 3;
		List<Employee> slist = s.getNamedQuery("findEmployeeById").setParameter("id", eid).getResultList();

		for(Employee emp : slist) {
			System.out.println(emp.toString());
		}

		// Closing the session object.
		s.close();
	}
}